Get a run
curl --request GET \
--url https://api.melius.com/api/v1/node-runs/{nodeRunId} \
--header 'Authorization: Bearer <token>' \
--header 'x-team-id: <api-key>'import requests
url = "https://api.melius.com/api/v1/node-runs/{nodeRunId}"
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};
fetch('https://api.melius.com/api/v1/node-runs/{nodeRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nodeVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolName": "<string>",
"status": "pending",
"errorMessage": "<string>",
"errorSeverity": null,
"numVariationsRequested": 123,
"numLayers": 123,
"errorRetryable": true,
"errorReason": "insufficient_credits",
"numVariationsCompleted": 123,
"numVariationsFailed": 123,
"credits": {
"charged": 1,
"refunded": 1
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Runs
Get a run
GET
/
api
/
v1
/
node-runs
/
{nodeRunId}
Get a run
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Path Parameters
Response
200
Available options:
pending, running, finished, failed, cancelled Available options:
error, warning, null Available options:
insufficient_credits, content_policy, no_media_generated, provider_error, validation_error, timeout, system, unknown, null Show child attributes
Show child attributes
Last modified on October 8, 2026